"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var env_ci_1 = __importDefault(require("env-ci"));
exports.detect = function () {
    var _a = env_ci_1.default(), service = _a.service, commit = _a.commit, slug = _a.slug, isCi = _a.isCi;
    if (!isCi) {
        throw new Error('CI environment not detected');
    }
    var _b = service === 'codebuild' && process.env.CODEBUILD_SOURCE_REPO_URL
        ? process.env.CODEBUILD_SOURCE_REPO_URL.replace('https://github.com/', '').split('/')
        : slug.split('/'), owner = _b[0], repo = _b[1];
    return {
        commit: commit,
        owner: owner,
        repo: repo,
    };
};
//# sourceMappingURL=ci.js.map